curl --request GET \
--url https://{your-subdomain}.neetodesk.com/api/v1/public/tickets \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetodesk.com/api/v1/public/tickets"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetodesk.com/api/v1/public/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tickets": [
{
"id": "aaaabbbb-cccc-dddd-eeee-ffff00003333",
"number": 42,
"subject": "How to resolve the pending payments",
"description": "I need your help in resolving the pending payments.",
"priority": "medium",
"status": "open",
"category": "Questions",
"sub_category_one": "Billing",
"sub_category_two": "Refund",
"group": "Sales",
"tags": [
"refund",
"urgent"
],
"assignee": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
"name": "Oliver Smith",
"email": "oliver@example.com"
},
"customer": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
"name": "John Luther",
"email": "john@example.com",
"phone_numbers": [
"+1234567890"
]
},
"fields": [
{
"field_name": "Country",
"field_value": "USA"
}
]
}
],
"pagination": {
"total_records": 95,
"total_pages": 4,
"current_page_number": 1,
"page_size": 30
}
}List tickets
Retrieves a list of tickets in a workspace.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.
Set the number of results returned in the response. Defaulting to 30 when omitted.
Filter tickets by their status. Accepts comma-separated values for multiple statuses. Default statuses include: new, open, waiting_on_customer, on_hold, closed, spam, trash. Custom statuses created in your organization are also supported. If omitted, tickets of all statuses are returned.
"open"
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
"aaaabbbb-cccc-dddd-eeee-ffff00003333"
42
"How to resolve the pending payments"
"I need your help in resolving the pending payments."
"medium"
"open"
"Questions"
"Billing"
"Refund"
Name of the assigned group.
"Sales"
["refund", "urgent"]